# Uses of Class
javax.swing.JFileChooser

Packages that use JFileChooser
Package
Description
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of JFileChooser in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type JFileChooser
Modifier and Type
Method
Description
`abstract void`
FileChooserUI.`ensureFileIsVisible(JFileChooser fc, File f)`
Ensure the file in question is visible.
`abstract FileFilter`
FileChooserUI.`getAcceptAllFileFilter(JFileChooser fc)`
Returns an accept-all file filter.
`abstract String`
FileChooserUI.`getApproveButtonText(JFileChooser fc)`
Returns approve button text.
`JButton`
FileChooserUI.`getDefaultButton(JFileChooser fc)`
Returns default button for current `LookAndFeel`.
`abstract String`
FileChooserUI.`getDialogTitle(JFileChooser fc)`
Returns the dialog title.
`abstract FileView`
FileChooserUI.`getFileView(JFileChooser fc)`
Returns a file view.
`abstract void`
FileChooserUI.`rescanCurrentDirectory(JFileChooser fc)`
Rescan the current directory.

## Uses of JFileChooser in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic that return JFileChooser
Modifier and Type
Method
Description
`JFileChooser`
BasicFileChooserUI.`getFileChooser()`
Returns the file chooser.
Methods in javax.swing.plaf.basic with parameters of type JFileChooser
Modifier and Type
Method
Description
`protected MouseListener`
BasicFileChooserUI.`createDoubleClickListener(JFileChooser fc, JList<?> list)`
Creates a double click listener.
`ListSelectionListener`
BasicFileChooserUI.`createListSelectionListener(JFileChooser fc)`
Creates a list selection listener.
`PropertyChangeListener`
BasicFileChooserUI.`createPropertyChangeListener(JFileChooser fc)`
Creates the property change listener.
`void`
BasicFileChooserUI.`ensureFileIsVisible(JFileChooser fc, File f)`
Ensure the file in question is visible.
`FileFilter`
BasicFileChooserUI.`getAcceptAllFileFilter(JFileChooser fc)`
Returns the default accept all file filter
`protected JButton`
BasicFileChooserUI.`getApproveButton(JFileChooser fc)`
Returns the approve button.
`int`
BasicFileChooserUI.`getApproveButtonMnemonic(JFileChooser fc)`
Returns the approve button mnemonic.
`String`
BasicFileChooserUI.`getApproveButtonText(JFileChooser fc)`
Returns approve button text.
`String`
BasicFileChooserUI.`getApproveButtonToolTipText(JFileChooser fc)`
Returns the approve button tool tip.
`String`
BasicFileChooserUI.`getDialogTitle(JFileChooser fc)`
Returns the title of this dialog
`FileView`
BasicFileChooserUI.`getFileView(JFileChooser fc)`
`void`
BasicFileChooserUI.`installComponents(JFileChooser fc)`
Installs the components.
`protected void`
BasicFileChooserUI.`installDefaults(JFileChooser fc)`
Installs the defaults.
`protected void`
BasicFileChooserUI.`installIcons(JFileChooser fc)`
Installs the icons.
`protected void`
BasicFileChooserUI.`installListeners(JFileChooser fc)`
Installs the listeners.
`protected void`
BasicFileChooserUI.`installStrings(JFileChooser fc)`
Installs the strings.
`void`
BasicFileChooserUI.`rescanCurrentDirectory(JFileChooser fc)`
Rescan the current directory.
`void`
BasicFileChooserUI.`uninstallComponents(JFileChooser fc)`
Uninstalls the components.
`protected void`
BasicFileChooserUI.`uninstallDefaults(JFileChooser fc)`
Uninstalls the defaults.
`protected void`
BasicFileChooserUI.`uninstallIcons(JFileChooser fc)`
Uninstalls the icons.
`protected void`
BasicFileChooserUI.`uninstallListeners(JFileChooser fc)`
Uninstalls the listeners.
`protected void`
BasicFileChooserUI.`uninstallStrings(JFileChooser fc)`
Uninstalls the strings.
Constructors in javax.swing.plaf.basic with parameters of type JFileChooser
Modifier
Constructor
Description
``
`BasicDirectoryModel(JFileChooser filechooser)`
Constructs a new instance of `BasicDirectoryModel`.
``
`BasicFileChooserUI(JFileChooser b)`
Constructs a `BasicFileChooserUI`.

## Uses of JFileChooser in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal with parameters of type JFileChooser
Modifier and Type
Method
Description
`protected JPanel`
MetalFileChooserUI.`createDetailsView(JFileChooser fc)`
Constructs a details view.
`protected MetalFileChooserUI.DirectoryComboBoxModel`
MetalFileChooserUI.`createDirectoryComboBoxModel(JFileChooser fc)`
Constructs a new instance of `DataModel` for `DirectoryComboBox`.
`protected JPanel`
MetalFileChooserUI.`createList(JFileChooser fc)`
Constructs a details view.
`ListSelectionListener`
MetalFileChooserUI.`createListSelectionListener(JFileChooser fc)`
Creates a selection listener for the list of files and directories.
Constructors in javax.swing.plaf.metal with parameters of type JFileChooser
Modifier
Constructor
Description
``
`MetalFileChooserUI(JFileChooser filechooser)`
Constructs a new instance of `MetalFileChooserUI`.

## Uses of JFileChooser in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi with parameters of type JFileChooser
Modifier and Type
Method
Description
`void`
MultiFileChooserUI.`ensureFileIsVisible(JFileChooser a, File b)`
Invokes the `ensureFileIsVisible` method on each UI handled by this object.
`FileFilter`
MultiFileChooserUI.`getAcceptAllFileFilter(JFileChooser a)`
Invokes the `getAcceptAllFileFilter` method on each UI handled by this object.
`String`
MultiFileChooserUI.`getApproveButtonText(JFileChooser a)`
Invokes the `getApproveButtonText` method on each UI handled by this object.
`String`
MultiFileChooserUI.`getDialogTitle(JFileChooser a)`
Invokes the `getDialogTitle` method on each UI handled by this object.
`FileView`
MultiFileChooserUI.`getFileView(JFileChooser a)`
Invokes the `getFileView` method on each UI handled by this object.
`void`
MultiFileChooserUI.`rescanCurrentDirectory(JFileChooser a)`
Invokes the `rescanCurrentDirectory` method on each UI handled by this object.